Queue template send job
POST
/
v1
/
templates
/
send
Queue template send job
curl --request POST \
--url https://api.flowella.io/v1/templates/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"whatsappChannelId": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"recipients": [
{
"phone": "+15551234567",
"bodyParameters": [
"Ada"
]
}
]
}
'import requests
url = "https://api.flowella.io/v1/templates/send"
payload = {
"templateId": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"whatsappChannelId": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"recipients": [
{
"phone": "+15551234567",
"bodyParameters": ["Ada"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: 'clxxxxxxxxxxxxxxxxxxxxxxxx',
whatsappChannelId: 'clxxxxxxxxxxxxxxxxxxxxxxxx',
recipients: [{phone: '+15551234567', bodyParameters: ['Ada']}]
})
};
fetch('https://api.flowella.io/v1/templates/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"status": "PENDING",
"templateId": "clxxxxxxxxxxxxxxxxxxxxxxxx",
"scheduledFor": null
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}Authorizations
Organization API key (flo_…). Paste the full key; Scalar sends Authorization: Bearer <key>.
Body
application/json
Required string length:
1 - 128Required array length:
1 - 50000 elementsShow child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Required range:
1 <= x <= 100000Last modified on August 8, 2026
Was this page helpful?
⌘I
Queue template send job

